Subject: Re: [patch 4/5] net/ipv6/ip6_flowlabel.c: copy_to_user return code

From: "Stephen Biggs" <[email-masked]>
Date: Mon, 07 Mar 2005 09:13:42 +0200

Mr. Hideaki,

Thank you very much (domo arigato gozaimasu) for your feedback.  Please 
see below for my comments.

On 7 Mar 2005 at 7:38, B wrote:

> In article <[email-masked]> (at Mon, 07 Mar 2005 07:32:13 +0900 (JST)), YOSHIFUJI Hideaki /  $B5HF#1QL@ (B <[email-masked]> says:
> 
> > In article <[email-masked]> (at Sun, 06 Mar 2005 23:21:17 +0100), [email-masked] says:
> > 
> > > 
> > > compile warning cleanup - handle copy_to/from_user error 
> > > returns
> > 
> > Wrong. You introduce a leak.
> 
> Ah, sorry, not really,

Actually, you are correct.  This is one of my first attempts at a patch 
submittal and this is one of a few patches where I did not check for side 
effects.  I will try very much not to make that same mistake again.

> but I still think it is wrong:
> fl_intern() insert it to hash, and
> then you freed up the memory.
> I believe this is wrong.

Yes, you are completely correct, and thank you for catching this.

I will submit a more correct patch shortly.

> --yoshfuji